#!/bin/sh
DEFAULT_INPUT_KEEP=14
DEFAULT_OUTPUT_KEEP=90

ARCHIVE_FOLDER=$(uci -q get sysslave.archive.dir) || ARCHIVE_FOLDER=/opt/novatec/data/archive
OUTPUT_JSON=$(uci -q get sysslave.powercompute.output_json_dir) || exit 0
INPUT_JSON=$(uci -q get sysslave.powercompute.input_json_dir) || exit 0
#INPUT_JSON=/opt/novatec/data/archive/input_json_bak	# Just for testing..

input_keep=$(uci -q get sysslave.archive.input_json_keep_days) || input_keep=$DEFAULT_INPUT_KEEP
output_keep=$(uci -q get sysslave.archive.output_json_keep_days) || output_keep=$DEFAULT_OUTPUT_KEEP

input_dirname=$(basename $INPUT_JSON)
output_dirname=$(basename $OUTPUT_JSON)

#echo "input_dirname: $input_dirname"
#echo "output_dirname: $output_dirname"

# Just hardcoding.. This needs to be fixed better.

input_1_json_archive_path=${ARCHIVE_FOLDER}/INPUT_1
input_10_json_archive_path=${ARCHIVE_FOLDER}/INPUT_10
output_1_json_archive_path=${ARCHIVE_FOLDER}/OUTPUT_1
output_10_json_archive_path=${ARCHIVE_FOLDER}/OUTPUT_10

#echo "input_1_json_archive: " $input_1_json_archive_path
#echo "input_10_json_archive: " $input_10_json_archive_path
#echo "output_1_json_archive: " $output_1_json_archive_path
#echo "output_10_json_archive: " $output_10_json_archive_path

#/opt/novatec/bin/json_archive $INPUT_JSON

echo "Cleaning input json....."
/opt/novatec/bin/clean_archive_dir $input_1_json_archive_path $input_keep
/opt/novatec/bin/clean_archive_dir $input_10_json_archive_path $input_keep
echo "Cleaning output json....."
/opt/novatec/bin/clean_archive_dir $output_1_json_archive_path $output_keep
/opt/novatec/bin/clean_archive_dir $output_10_json_archive_path $output_keep


